<?php 

/*
 * @version		$Id: default_videos.php 1.6 2011-09-09 $
 * @package		Joomla
 * @subpackage	hdwplayer
 * @copyright   Copyright (C) 2011-2012 HDW Player
 * @license     GNU/GPL http://www.gnu.org/licenses/gpl-2.0.html
*/

defined('_JEXEC') or die('Restricted access'); 

$target = JURI::getInstance()->toString();
$qstr   = (!strpos($target, '?')) ? '?' : '&';

$session = JFactory::getSession();
$session->set('target', $target);

?>
<style type="text/css">
#tbl table tr, #tbl table th, #tbl table td {
	border:none;
	padding:5px;
}
</style>
<div style="float:right; margin-bottom:7px;"> 
	<a href="<?php echo JRoute::_( $target.$qstr.'add=1' ); ?>">ADD NEW VIDEO</a> 
</div>
<div style="clear:both;" id="tbl">
  <table cellpadding="0px" cellspacing="0px" border="0">
    <thead bgcolor="#FOFOFO">
      <tr>
        <th width="5%" align="center">#</th>
        <th width="30%">Title</th>
        <th width="15%">Category</th>
        <th width="15%">Video</th>
        <th width="8%" align="center">Edit</th>
        <th width="8%" align="center">Delete</th>
        <th width="8%" align="center">Approved</th>
      </tr>
    </thead>
    <tbody>
      <?php
		$k = 0;
		for ($i=0, $n=count($datas); $i < $n; $i++) {
			$row = $datas[$i];
			
			$link 		= JRoute::_( $target.$qstr.'uid='.$row->id );
			$vid  	    = JRoute::_( 'index.php?option=com_hdwplayer&wid='.$row->id );
			$delete  	= JRoute::_( 'index.php?option=com_hdwplayer&view=delete&uid='.$row->id );
			$published 	= ($row->published == 1) ? 'Yes' : 'No';;
		?>
      <tr class="<?php echo "row$k"; ?>">
        <td align="center"><?php echo $i+1;?> </td>
        <td><a href="<?php echo $link; ?>"> <?php echo $row->title;?></a></td>
        <td><?php echo $row->category; ?> </td>
        <td><a href="<?php echo $vid; ?>"><?php echo $row->video; ?></a></td>
        <td align="center"><a href="<?php echo $link; ?>"><img src="<?php echo JURI::root().'components/com_hdwplayer/assets/edit.jpg'; ?>"  border="0" /></a></td>
        <td align="center"><a href="<?php echo $delete; ?>"><img src="<?php echo JURI::root().'components/com_hdwplayer/assets/delete.jpg'; ?>"  border="0" /></a></td>
        <td align="center"><?php echo $published; ?></td>
      </tr>
      <?php
      }
  ?>
    </tbody>
    <tfoot bgcolor="#FOFOFO">
    </tfoot>
  </table>
</div>