<?php

/*
 * @version		$Id: skin.php 1.6 2011-09-09 $
 * @package		Joomla
 * @subpackage	hdwplayer
 * @copyright   Copyright (C) 2011-2012 HDW player
 * @license     GNU/GPL http://www.gnu.org/licenses/gpl-2.0.html
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

// Import Joomla! libraries
jimport('joomla.application.component.model');

// Import filesystem libraries.
jimport('joomla.filesystem.file');
jimport('joomla.filesystem.folder');

class HdwplayerModelSkin extends JModelLegacy {

    function __construct() {
		parent::__construct();
    }
	
	function getdatas()
    {
         $db     = JFactory::getDBO();
         $query  = "SELECT * FROM #__hdwplayer_skin";
         $db->setQuery( $query );
         $output = $db->loadObjectList();
         return($output);
	}
	
	function save()
	{
	  $mainframe = JFactory::getApplication();
	  $row       = JTable::getInstance('hdwplayerskin', 'Table');
	  $cid       = JRequest::getVar( 'cid', array(0), '', 'array' );
      $id        = $cid[0];
      $row->load($id);

      if(!$row->bind(JRequest::get('post')))
	  {
		JError::raiseError(500, $row->getError() );
	  }
	
	  if(!$row->store()){
		JError::raiseError(500, $row->getError() );
	  }
	  
	  $task = JRequest::getCmd('task');
	   
	  $msg  = 'Saved';
      $link = 'index.php?option=com_hdwplayer&task=skin';

	  // page redirect
	  $mainframe->redirect($link, $msg);
	  
	}
	
}

?>